Get a single API key
GET
https://novapai.ai/api/v1/keys/:hash
GET
/api/v1/keys/:hash
cURL
$curl https://novapai.ai/api/v1/keys/f01d52606dc8f0a8303a7b5cc3fa07109c2e346cec7c0a16b40de462992ce943 \
>-H "Authorization: Bearer <token>"200 Retrieved
reference-api-keys-get-key-01.json
{
"data": {
"hash": "f01d52606dc8f0a8303a7b5cc3fa07109c2e346cec7c0a16b40de462992ce943",
"name": "My Production Key",
"label": "Production API Key",
"disabled": false,
"limit": 100,
"limit_remaining": 74.5,
"limit_reset": "monthly",
"include_byok_in_limit": false,
"usage": 25.5,
"usage_daily": 25.5,
"usage_weekly": 25.5,
"usage_monthly": 25.5,
"byok_usage": 17.38,
"byok_usage_daily": 17.38,
"byok_usage_weekly": 17.38,
"byok_usage_monthly": 17.38,
"created_at": "2025-08-24T10:30:00Z",
"updated_at": "2025-08-24T15:45:00Z",
"expires_at": "2027-12-31T23:59:59Z"
}
}Get a single API key by hash. Management key required.
Authentication
Authorization Bearer
API key as bearer token in Authorization header
Path parameters
hash string Required
The hash identifier of the API key to retrieve
Response
API key details
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
| data | object | - | The API key information |
Errors
| 状态码 | 说明 |
|---|---|
| 401 | Unauthorized Error |
| 404 | Not Found Error |
| 429 | Too Many Requests Error |
| 500 | Internal Server Error |